Name: GConf
Version: 1.0.9
Release: alt5

%define majorrelease 1

Summary: GConf is a configuration database system
License: GPL
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%name

Source: %url/%name-%version.tar.bz2
# (fc) 1.0.1-1mdk remove some warnings
Patch1: GConf-1.0.9-disablemakefile.patch
Patch2: GConf-1.0.9-alt-db4.patch

PreReq: oaf >= 0.6.6, lib%name = %version-%release
Provides: GConf1 = %version-%release

# Automatically added by buildreq on Mon Jan 13 2003
BuildRequires: ORBit-devel XFree86-devel XFree86-libs gcc-c++ glib-devel glibc-devel-static gtk+-devel guile-devel indent libORBit libdb4-devel liboaf libpopt-devel libwrap-devel libxml-devel oaf-devel zlib-devel

%description
GConf is a process-transparent configuration database API used to
store user preferences. It has pluggable backends and features to
support workgroup administration.

%package -n lib%name
Summary: GConf is a configuration database system
Group: Graphical desktop/GNOME
Obsoletes: libGConf1

%description -n lib%name
GConf is a process-transparent configuration database API used to
store user preferences. It has pluggable backends and features to
support workgroup administration.

%package -n lib%name-devel
Summary: Development libraries and headers for GConf
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release
Requires: ORBit-devel XFree86-devel glib-devel gtk+-devel guile-devel libdb4-devel libpopt-devel libstdc++-devel libxml-devel oaf-devel zlib-devel
Provides: %name-devel = %version
Obsoletes: %name-devel, libGConf1-devel

%description -n lib%name-devel
GConf is a process-transparent configuration database API used to
store user preferences. It has pluggable backends and features to
support workgroup administration.

This package contains the header files and libraries needed to develop
applications using GConf.

%package -n lib%name-devel-static
Summary: Static lib%name libraries
Group: Development/GNOME and GTK+
Requires: lib%name-devel = %version-%release
Provides: %name-devel-static = %version
Obsoletes: %name-devel-static

%description -n lib%name-devel-static
GConf is a process-transparent configuration database API used to
store user preferences. It has pluggable backends and features to
support workgroup administration.

This package contains the static libraries needed to develop
applications using GConf.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

bzip2 -9f ChangeLog ||:

%build
%configure --disable-debug
# SMP-incompatible.
make

%install
%makeinstall

%find_lang %name

%post
GCONF_CONFIG_SOURCE="xml::%_sysconfdir/gconf/gconf.xml.defaults"	\
%_bindir/gconftool --makefile-install-rule %_sysconfdir/gconf/schemas/desktop.schemas >/dev/null && \
	chmod -R a+rX %_sysconfdir/gconf/gconf.xml.defaults ||:
[ -z "$DURING_INSTALL" ] || %_bindir/oaf-slay -s ||:

%post -p /sbin/ldconfig -n lib%name
%postun -p /sbin/ldconfig -n lib%name

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog.bz2 NEWS README TODO
%config(noreplace) %_sysconfdir/gconf
%_libdir/GConf/%majorrelease/*.so
%_bindir/gconfd-%majorrelease
%_bindir/gconftool
%_bindir/gconftool-%majorrelease
#%_datadir/oaf/*
%_datadir/gconf

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_libdir/*.la
%_libdir/GConf/%majorrelease/*.la
%_bindir/gconf-config
%_bindir/gconf-config-%majorrelease
%_datadir/aclocal/*
%_includedir/gconf
%_libdir/pkgconfig/*

%files -n lib%name-devel-static
%_libdir/*.a
%_libdir/GConf/%majorrelease/*.a

%changelog
* Mon Jan 13 2003 AEN <aen@altlinux.ru> 1.0.9-alt5
- Buildreq fixed

* Tue Dec 24 2002 AEN <aen@altlinux.ru> 1.0.9-alt4
- Provides GConf1

* Mon Oct 28 2002 AEN <aen@altlinux.ru> 1.0.9-alt3
- rebuilt with gcc-3.2

* Tue Mar 26 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.9-alt2
- Added libdb4 build support.
- Built with libdb4, updated buildrequires.

* Tue Mar 26 2002 AEN <aen@logic.ru> 1.0.9-alt1
- Updated to 1.0.9

* Fri Nov 09 2001 AEN <aen@logic.ru> 1.0.7-alt2
- libification back

* Sat Nov 03 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.7-alt1
- New version
- Removed db3 patch
- Delibification of development packages
- Compressed ChangeLog

* Mon Oct 26 2001 AEN <aen@logic.ru> 1.0.6-alt1
- new version

* Thu Sep 20 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.4-alt2
- Built with libdb3-3.3.11.

* Thu Aug 16 2001 AEN <aen@logic.ru> 1.0.4-alt1
- remove patch 2

* Tue Aug 14 2001 AEN <aen@logic.ru> 1.0.3-alt2
- sync with MDK (patch 2)

* Thu Aug 09 2001 AEN <aen@logic.ru> 1.0.3-alt1
- 1.0.3
- pkgconfig files added to devel package
- syn with MDK

* Sat May 19 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.1-alt1
- 1.0.1
- libGConf-devel-static package
- Changed group for devel packages to Development/GNOME and GTK+
- Buildtime dependencies by buildreq

* Tue Mar 13 2001 AEN <aen@logic.ru> 1.0.0-ipl1mdk
- Oopss.. 1.0.0

* Mon Mar 12 2001 AEN <aen@logic.ru> 0.50-ipl2mdk
- rebuild for release

* Tue Mar 6 2001 AEN <aen@logic.ru> 0.50-ipl1mdk
- 0.50

* Thu Feb 22 2001 AEN <aen@logic.ru> 0.12-ipl1mdk
- 0.12
- rebuild with oaf-0.6.3

* Mon Nov 28 2000 AEN <aen@logic.ru>
- build for RE
- added provides GConf-devel

* Mon Nov 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-1mdk
- Release 0.11

* Mon Nov 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-4mdk
- Change major to 0 (I suck !!)

* Thu Nov 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-3mdk
- Split libraries in separate package

* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-2mdk
- Use find_lang macro

* Thu Aug 10 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8.0
- update patch for new release

* Fri Aug  4 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7.0
- patch Makefile to prevent installing schemas at build time

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-3mdk
- Build without debugging code

* Wed Aug  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-2mdk
- BM + macroszification

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.6-1mdk
- Updated version to a more stable release

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.5-1mdk
- packaged for Mandrake
